请选择 进入手机版 | 继续访问电脑版
阳光沙滩博客现金打赏设置邀请好友最新视频下载
+发表新主题
naux 发布于2018-6-9 19:51 215 次浏览 6 位用户参与讨论
跳转到指定楼层
本帖的地址:https://bbs.sunofbeaches.com/thread-6322-1-1.html
版权声明:本文为作者所有,未经作者允许不得转载--->温馨提示:请加上原文地址!
百度说

在com.android.tools.build:gradle 3.0 以下版本依赖在gradle 中的声明写法

compile fileTree(dir: 'libs', include: ['*.jar'])
  • 1

但在3.0后的写法为

implementation fileTree(dir: 'libs', include: ['*.jar'])或api fileTree(dir: 'libs', include: ['*.jar'])

然后我版本是3.0 改了compile后依然报错

我就下了4.0 但是不管是implementation还是api 都会报错并且定位到一样的位置

所以感觉可能是文件写错了吗

源文件是按大大的喜马拉雅demo来的 第10课跟完以后就在报错

求各位大佬帮忙解释解释



报错提醒

报错提醒

按照错误提醒找到的文件

按照错误提醒找到的文件

转载请说明出处,本文地址:https://bbs.sunofbeaches.com/thread-6322-1-1.html

帖子的最近访客

【大家可以通过搜索让相关资源!】【有疑问可以到提问模块提问哦!】【如果我去有资源也希望可以分享】【谢谢大家!by bbs.sunofbeaches.com】
回复

使用道具 举报

已有6人评论

naux 发表于 2018-6-9 20:02:05
是因为libs重复了吗 之前按教程一个一个导入了libs下的jar文件,那这个是多余的吗?
3.PNG
黄永康 发表于 2018-6-9 20:06:18
你下了,你改了吗?你上面报错是使用的是implementation的哦

如果你使用compile报什么错呢?没事,肯定可以解决的。
naux 发表于 2018-6-9 20:11:55
黄永康 发表于 2018-6-9 20:06
你下了,你改了吗?你上面报错是使用的是implementation的哦

如果你使用compile报什么错呢?没事,肯定 ...

我下了 没有改compile 用的是3.0版本 但是还是有报错 不知道怎么办了
naux 发表于 2018-6-9 20:12:55
黄永康 发表于 2018-6-9 20:06
你下了,你改了吗?你上面报错是使用的是implementation的哦

如果你使用compile报什么错呢?没事,肯定 ...

是因为两种配置方式都用了吗 然后libs重复不能识别?
naux 发表于 2018-6-9 20:28:45
naux 发表于 2018-6-9 20:12
是因为两种配置方式都用了吗 然后libs重复不能识别?

我改了classpath以后就好了!!!!吼吼
黄永康 发表于 2018-6-9 23:19:02
naux 发表于 2018-6-9 20:28
我改了classpath以后就好了!!!!吼吼

本版积分规则

关闭

站长推荐上一条 /1 下一条

QQ| 《网站免责声明》|小黑屋| 阳光沙滩(sunofbeaches.com)  

Copyright © 2001-2013 Comsenz Inc.   All Rights Reserved.

Powered by Discuz! X3.2( 粤ICP备14093694号 )

快速
回复
返回
列表
返回
顶部